import { IsInt, IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class CreateCarritoDto {
  @IsString()
  @IsNotEmpty()
  @MaxLength(3)
  carrito: string;

  @IsInt()
  id_marca: number;

  @IsInt()
  id_modelo: number;

  @IsInt()
  id_modulo: number;

  @IsInt()
  id_tipo_carrito: number;
}
