import { Expose, Type } from 'class-transformer';
import { InfraccionOutputDto } from './infraccion.dto';
import { InstitucionMinOutputDto } from '../../../institucion/dto/output/institucion-min.dto';

export class InstitucionInfraccionOutputDto {
  @Expose()
  id_institucion_infraccion;

  @Expose()
  dias_multa;

  @Expose()
  @Type(() => InfraccionOutputDto)
  infraccion;

  @Expose()
  @Type(() => InstitucionMinOutputDto)
  institucion;
}
