import { Expose, Type } from 'class-transformer';
import { InstitucionCarreaOutputDto } from '../../../institucion-carrera/dto/output/institucion-carrera.dto';
import { ProgramaOutputDto } from '../../../institucion-programa/dto/output/programa.dto';

export class CarreraProgramaOutputDto {
  @Expose()
  id_carrera_programa;

  @Expose()
  @Type(() => InstitucionCarreaOutputDto)
  institucionCarrera;

  @Expose()
  @Type(() => ProgramaOutputDto)
  programa;
}
